Bug 10801

Summary: Отсутствуют нужные возможности из SVN22173
Product: [Development] Sisyphus Reporter: Vyacheslav Dikonov <slava@altlinux.org>
Component: mplayerAssignee: Vladimir D. Seleznev <vseleznv@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: ender@altlinux.org, led@altlinux.org, rider@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2007-02-08 17:08:49
Нельзя ли собрать SVN-mplayer поновее? 

Я сейчас страдаю от проблем, уже решенных по словам mplayer-hq.

1) GUI на каждую ошибку выкидывает граф. диалог. Некоторые ошибки ("Too many
packets in buffer ..." для HD) не мешают смотреть видео дальше, но зато идут
потоком. В результате на экране с дикой скоростью мелькают бессмысленные
диалоги. В новом SVN введен параметр really-quiet для GUI,  но у нас его нету.

(см. http://bugzilla.mplayerhq.hu/show_bug.cgi?id=743)

2) Наша сборка Mplayer сделана с disable-ladspa, но даже после пересборки с
enable-ladspa оказывается, что работатют только двухканальные модули. В SVN 
уже реализована поддержка многоканальных.

(см. http://bugzilla.mplayerhq.hu/show_bug.cgi?id=745)

Нужно это, для подключения матричного кодера Dolby Surround.


Я пробовал собрать SVN 22173, но не сумел адаптировать хитрый спек. Спотыкается
сборка на расширении XShape и freetype.
------- Comment #1 From 2007-02-08 17:31:51 -------
(In reply to comment #0)
> Нельзя ли собрать SVN-mplayer поновее? 
> Я пробовал собрать SVN 22173, но не сумел адаптировать хитрый спек.

В Сизифе сейчас находится сборка SVN 22092 (mplayer-1.0-alt35.22092.2) - у вас 
именно с этим пакетом проблемы?
------- Comment #2 From 2007-02-08 17:39:29 -------
(In reply to comment #0)

Я не вижу в вашем багрепорте сообщения о багах. Может это всё же "enhancement"? 
Относится ли это к текущему пакету mplayer (из рассылки я понял, что у вас 
установлен очень "древний" пакет, а не тот, что сейчас в репозитарии)?
------- Comment #3 From 2007-02-09 14:08:28 -------
fixed
------- Comment #4 From 2007-02-10 13:43:48 -------
У меня был пересобранный из Сизифа за 10-20 января с отключенным джойстиком и
включенной ladspa. Сейчас буду проверять, как работает новая Сизифная сборка.